package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description:病历质控报表返回结构
 * @Author:cy
 * @time: 2021/1/20 13:32
 */
@Getter
@Setter
public class QualityControlNullDTO {





    /**
     * 病案首页扣分
     */
    @Excel(name = "扣分",width = 12, orderNum = "7")
    private Double medHomePageScore;
    private Double medHomePageScoreOn;
    private Double medHomePageScoreTw;

    /**
     * 入院记录扣分
     */
    @Excel(name = "扣分",width = 12, orderNum = "9")
    private Double admissionNoteScore;
    //非单项否决扣分
    private Double admissionNoteScoreOn;
    //扣分项总和
    private Double admissionNoteScoreTw;



    /**
     * 首次病程录扣分
     */
    @Excel(name = "扣分",width = 12, orderNum = "11")
    private Double firstCourseNoteScore;
    private Double firstCourseNoteScoreOn;
    private Double firstCourseNoteScoreTw;


    /**
     * 病程记录扣分
     */
    @Excel(name = "扣分", width = 12,orderNum = "13")
    private Double courseRecordScore;
    private Double courseRecordScoreOn;
    private Double courseRecordScoreTw;

    /**
     * 手术信息扣分
     */
    @Excel(name = "扣分",width = 12, orderNum = "15")
    private Double operationInfoScore;
    private Double  operationInfoScoreOn;
    private Double  operationInfoScoreTw;

    /**
     * 出院记录扣分
     */
    @Excel(name = "扣分",width = 12, orderNum = "17")
    private Double  dischargeNoteScore;
    private Double  dischargeNoteScoreOn;
    private Double  dischargeNoteScoreTw;

    /**
     * 医嘱单扣分
     */
    @Excel(name = "扣分",width = 12, orderNum = "19")
    private Double docAdviceNoteScore;
    private Double  docAdviceNoteScoreOn;
    private Double  docAdviceNoteScoreTw;

    /**
     * 其他扣分
     */
    @Excel(name = "扣分",width = 12, orderNum = "21")
    private Double otherCaseScore;

    /**
     * 总分
     */
    @Excel(name = "总分",width = 12, orderNum = "22")
    private Double  totalScore;


    /**
     * 病案首页模块总分
     */
    private Double medHomePageTolScore;


    /**
     * 入院记录模块总分
     */
    private Double admissionNoteTolScore;

    /**
     * 首次病程录模块总分
     */
    private Double firstCourseNoteTolScore;

    /**
     * 病程记录模块总分
     */
    private Double courseRecordTolScore;


    /**
     * 手术信息模块总分
     */
    private Double operationInfoTolScore;


    /**
     * 出院记录模块总分
     */
    private Double dischargeNoteTolScore;



    /**
     * 医嘱单模块总分
     */
    private Double docAdviceNoteTolScore;



}
